<template>
  <lazy-new-black-theme-m-header-title
    v-if="allowTheme"
    :title="$t('statement')"
  />
  <div class="mx-auto px-5 bg-1 mb-[12vw]">
    <el-tabs v-model="transactionAcitveTab" class="demo-tabs tabs-statement">
      <el-tab-pane :label="$t('deposit')" name="DepositHistory" />
      <el-tab-pane :label="$t('withdrawal')" name="WithdrawalHistory" />
      <el-tab-pane :label="$t('winlose')" name="Winlose" />
      <el-tab-pane
        v-if="allowTheme"
        :label="$t('promotion')"
        name="MyPromotion"
      />
    </el-tabs>
    <div>
      <router-view class="flex-auto"></router-view>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { computed } from "vue";
import { store } from "@/store";
import { useRoute } from "vue-router";

const route = useRoute();
const transactionAcitveTab = computed(() => String(route.name));
const arrayTheme = ["main", "black", "sbo", 'global', 'playful'];
const allowTheme = computed(() =>
  arrayTheme.includes(store.state.selectedThemeName)
);
</script>

<style scoped>
.common-layout .mx-auto,
.common-china .mx-auto {
  margin: unset;
}
</style>
